#include "ConnectionRequests.h"

auto Hooks::ConnectionRequests::callback_create_217x(ConnectionRequest* _this, PrivateKeyManager* a2, Certificate* a3, __int64 a4, __int64 a5, __int64 a6, __int64 a7, __int64 a8, __int64 a9, SerializedSkin* a10, std::string32 a11, int a12, int a13, __int64 a14, char a15, char a16, void* a17, int a18, __int64 a19, __int64 a20, char a21, __int64 a22, __int64 a23, __int64 a24, char a25, __int64 a26) -> void* {
    std::string a11_ = a11.c_str();
    for (Mod* mod : Client::modlist) {
        if (!mod->enabled && mod->onlyenabled) continue;

        mod->onConnectionRequest(&a11_);
    }

    return connectionRequest_create_217x(_this, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11_, a12, a13, a14, a15, a16, a17, a18, a19, a20, a21, a22, a23, a24, a25, a26
    );
}

auto Hooks::ConnectionRequests::callback_create_216x(ConnectionRequest* _this, PrivateKeyManager* a2, Certificate* a3, __int64 a4, __int64 a5, __int64 a6, __int64 a7, __int64 a8, __int64 a9, SerializedSkin* a10, std::string32 a11, int a12, int a13, int a14, void* a15, char a16, char a17, void* a18, int a19, __int64 a20, void* a21, char a22, void* a23, void* a24, void* a25, char a26, int a27, int a28) -> void* {
    std::string a11_ = a11.c_str();
    for (Mod* mod : Client::modlist) {
        if (!mod->enabled && mod->onlyenabled) continue;

        mod->onConnectionRequest(&a11_);
    }

    return connectionRequest_create_216x(_this, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11_, a12, a13, a14, a15, a16, a17, a18, a19, a20, a21, a22, a23, a24, a25, a26, a27, a28);
}
